/*
** 1998-08-02 -	Header file for the file-typing module. Interesting?
*/

#define	TYP_IS_UNKNOWN(t)	((t)->mode == 0)

FType *	typ_type_new(CfgInfo *cfg, const gchar *name, mode_t mode, int perm, const gchar *suffix, const gchar *name_re, const gchar *file_re);
FType *	typ_type_copy(FType *old);
GList *	typ_type_insert(GList *list, FType *after, FType *type);
GList *	typ_type_remove(GList *list, FType *type);
void	typ_type_destroy(FType *type);

GList *	typ_type_set_name(GList *list, FType *type, const gchar *name);
GList * typ_type_set_style(GList *list, FType *type, StyleInfo *si, const gchar *name);
GList *	typ_type_set_priority(GList *list, FType *type, guint16 prio);
GList *	typ_type_move(GList *list, FType *type, gint delta);

void	typ_identify_begin(MainInfo *min);
void	typ_identify(MainInfo *min, DirRow *line);
void	typ_identify_end(MainInfo *min, const gchar *path);

void	typ_init(CfgInfo *cfg);
